Authentication

API Keys

Manage api keys within the Authentication API. This section covers endpoints for working with api keys including retrieval, creation, and management operations.

Create key

PUThttps://api.eulerstream.com/accounts/{account_id}/api_keys/create

Create a new API key

Path Parameters

account_id*number (double)

The ID of the account to create the key for

Request Body

Required

The configuration for the new key

name*string

Responses

code*number (double)
messagestring
keyobject
Response200

Delete key

DELhttps://api.eulerstream.com/accounts/{account_id}/api_keys/delete

Delete an API key by its key value, name, or ID

Path Parameters

account_id*number (double)

The ID of the account to delete the key for

Query Parameters

delete_by*enum

The API key field to delete by

delete_param*string

The API key field value to delete by

Responses

code*number (double)
messagestring
Response200

List keys

GEThttps://api.eulerstream.com/accounts/{account_id}/api_keys/list

Retrieve an API key by its key value, name, or ID

Path Parameters

account_id*number (double)

The ID of the account to retrieve the key for

Responses

code*number (double)
messagestring
keysobject[]
Response200

Get key

GEThttps://api.eulerstream.com/accounts/{account_id}/api_keys/retrieve

Retrieve an API key by its key value, name, or ID

Path Parameters

account_id*number (double)

The ID of the account to retrieve the key for

Query Parameters

retrieve_byenum= "value"

The API key field to retrieve by

retrieve_param*string

The API key field value to retrieve by

Responses

code*number (double)
messagestring
keyobject
Response200

Update key

PATCHhttps://api.eulerstream.com/accounts/{account_id}/api_keys/update

Update an existing API key

Path Parameters

account_id*number (double)

The account to update the key for

Query Parameters

update_by*enum

The API key field to update by

update_param*string

The API key field value to update by

Request Body

Required

The new configuration for the key

name*string

Responses

code*number (double)
messagestring
configobject
Response200